/* from code old website */
/* ------------------ START Page Button Width ------------------ */
#page .column.ts-three-column .button.regular,
#page .column.ts-four-column .button.regular,
#page .column.ts-left-sidebar:nth-child(1) .button.regular,
#page .column.ts-right-sidebar:nth-child(2) .button.regular {
    width: 100%;
}

/* ------------------ END Page Button Width ------------------ */


/* ------------------ START Side Nav ------------------ */
#sidebarNav .submenu li:before {
    display: none;
}

/* 2nd and 3rd level side nav */
#page #sidebarNav[data-menu-id="1277357"] h2,
#page #sidebarNav[data-menu-id="1277357"] .navLinks>li:not(.active),
#page #sidebarNav[data-menu-id="1277357"] .navLi.hasSubmenu.active .submenuBtn {
    display: none;
}

#page #sidebarNav[data-menu-id="1277357"] .navLinks>li.active .submenu {
    display: block;
    font-size: 16px;
}

#page #sidebarNav[data-menu-id="1277357"] .navLinks>li.active>a {
    color: #FFF;
    padding-left: 20px;
    margin-bottom: 1px;
    border-radius: 20px 20px 0 0;
    background: var(--primary-color);
    font-size: 24px;
    line-height: 1.1;
}

#page #sidebarNav[data-menu-id="1277357"] .navLinks>li.active>a:after,
#page #sidebarNav[data-menu-id="1277357"] .navLinks>li.active .submenu li:before {
    display: none;
}

#page #sidebarNav[data-menu-id="1277357"] .navLinks>li.active .submenu li.active>a:after {
    right: auto;
    left: 0;
}

#page #sidebarNav[data-menu-id="1277357"] .navLinks>li.active .submenu li a {
    padding-left: 22px;
}

#page #sidebarNav[data-menu-id="1277357"] .navLinks>li.active .submenu li.active:last-child,
#page #sidebarNav[data-menu-id="1277357"] .navLinks>li.active {
    border-radius: 20px;
}

/* 2nd and 3rd level side nav */
/* ------------------ END Side Nav ------------------ */


/* ------------------ START Floating Nav ------------------ */
@media (min-width: 1280px) {
    #home #floating-nav:not(.is-scrolled) .button {
        -webkit-transform: translate(196px);
        transform: translate(196px);

        &:hover {
            -webkit-transform: none;
            transform: none;
        }
    }
}
/* ------------------ END Floating Nav ------------------ */


/* ------------------ START Alert Banner ------------------ */
.alert-banners .banner {
    --banner-bg-color: red !important;
}
/* ------------------- END Alert Banner ------------------- */

/* Scroll to top button style START */
#myBtn {
  position: fixed;
  bottom: 1.5rem;
  right: 1.5rem;
  z-index: 99;
	border: none;
  outline: none;
  background-color: var(--primary-color);
  color: white;
  cursor: pointer;
  padding: 1rem;
  border-radius: 15px;
  font-size: 18px;
  transition: opacity 1s, background-color 0.3s ease;
  opacity: 0;
}

#myBtn:hover {
  background-color: var(--secondary-color);
}

#myBtn.fade {
  opacity: 1;
}
/* Scroll to top button style END */

/* end Code from old website */
#app {
    --title-font-family: "Cormorant Garamond", serif;
}

#home .header-slot-container h2 {
    font-family: var(--title-font-family);
    font-optical-sizing: auto;
    font-weight: 700;
    font-style: normal;
    font-size: clamp(2.625rem, -1.067rem + 4.615vw, 4.125rem);
    text-transform: uppercase;
}

#home .see-all-button-custom,
#home .see-all-button {
    text-transform: uppercase;
    font-size: 16px;
    font-weight: 700;
}

#home .see-all-button,
#home .see-all-container a,
#home .see-all-events::before,
#home .see-all-button.sydney::before {
    border-radius: 8px;
    overflow: hidden;
    transition: background-color 0.35s ease-in-out, color 0.35s ease-in-out;
}

#app #myBtn:not(.fade) {
    z-index: -1;
}

#myBtn:hover {
    color: var(--secondary-color-contrast);
}

/* Header */
#cms-header .h4 {
    --logo-height: 90px;
    --logo-scale: 1;

    .top-header {
        padding-bottom: 0;
        min-height: 35px;
        box-sizing: border-box;

        .slogan {
            display: none;
        }
    }

    .bottom-header {
        padding-top: 0;

        .wrapper {
            flex-wrap: wrap;

            .utility-bar {
                margin-left: 0;
                min-height: 35px;

                @media (width > 960px) {
                    max-width: calc(100% - 240px);
                    margin-top: -33px;
                    order: -1;
                    width: 100%;
                    box-sizing: border-box;
                    row-gap: 5px;
                    margin-right: auto;

                    align-content: center;
                }

                .utilities {
                    margin: 0;
                    text-transform: none;
                }
            }
        }

        .org-banner {
            width: 100%;
            box-sizing: border-box;
            align-items: flex-start;

            @media (width > 960px) {
                padding-top: 25px;
            }

            .logo {
                @media (width > 960px) {
                    height: calc(var(--logo-height) * var(--logo-scale));
                    transition: height 0.35s ease;
                }

                @media (width > 1400px) {
                    --logo-height: 120px;
                }

                @media (width > 1600px) {
                    --logo-height: 130px;
                }
            }
        }

        .school-info {
            margin-left: auto;

            .menu-buttons #menubutton {
                margin-right: 0;
            }
        }
    }
}

#cms-header .header-bar-wrapper.sticky .h4 {
    .logo {
        --logo-scale: 0.7;
    }

    .org-banner {
        padding-top: 10px;
    }

    .bottom-header {
        padding-bottom: 20px;
    }
}

@media (width < 760px) {
    #view-header #cms-header.cms-header .h4 {
        .bottom-header {
            padding-inline: 10px;
            padding-top: 5px;
            padding-bottom: 8px;

            .org-banner {
                padding-top: 0;
            }
        }
    }
}
@media (width > 980px) {
    #app:not(:has(#home)) {
        #view-header .header-bar-wrapper:not(.sticky) .h4 {
            .bottom-header {
                padding-bottom: 10px;
            }
        }
    }
}
@media (width > 1400px) {
#app:not(:has(#home)) {
        #view-header .header-bar-wrapper:not(.sticky) .h4 {
            .bottom-header {
                .logo {
                    --logo-height: 90px;
                }
            }
        }
    }
}
/* end Header */
/* Gallery */
#cms-gallery .gallery-v7 .gallery-container {
    .image-wrapper {
        position: relative;
        isolation: isolate;

        &::after {
            position: absolute;
            left: 0;
            top: 0;
            height: 100%;
            width: 100%;
            content: '';
            background: linear-gradient(270deg, color-mix(in srgb, var(--primary-color) 1%, transparent) 28.37%, var(--primary-color) 100%);
            opacity: 0.9;
        }
    }

    .gallery-content {
        display: flex;
        flex-wrap: wrap;
        max-width: 100%;
        width: 100%;
        box-sizing: border-box;
        flex-direction: row;
        column-gap: 20px;
        row-gap: 5px;

        @media (width < 600px) {
            z-index: 2;
        }

        &>*:not(.button-link) {
            width: 100%;
            box-sizing: border-box;
            max-width: 100%
        }

        .title>div,
        .description>div {
            max-width: 800px;
        }

        .title,
        .title * {
            font-family: var(--title-font-family);
            font-optical-sizing: auto;
            font-weight: 700;
            font-style: normal;
        }

        .title h1 {
            text-wrap: balance;

            @media (width > 960px) {
                font-size: clamp(3.75rem, 0rem + 6.25vw, 6.25rem);
                line-height: 1;
            }
        }

        .description p {
            line-height: 1.2;
            letter-spacing: 0.05em;
            text-wrap: pretty;

            a {
                color: var(--text-color);
            }
            & > a:only-child {
                display: none;
            }

            @media (width > 960px) {
                font-size: clamp(1.5rem, 0.783rem + 1.17vw, 2.188rem);
            }
        }

        .button-link button {
            box-sizing: border-box;
            border: 2px solid var(--button-bg-color);
        }

        .button-link .custom-gallery-btn {
            background-color: transparent;
            color: #FFF;
            border-color: #FFF;
        }
        .button-link button:hover {
            background-color: #FFF;
            color: var(--primary-color);
        }

    }
}

/* END Gallery */

/* text section */
#home #ec-mission {
    @media (width > 960px) {
        flex-direction: row-reverse;
        gap: 3vw;
    }

    .ec-mission__content {
        text-align: left;

        @media (width > 960px) {
            padding-right: 0;
        }
    }

    .ec-mission__header {
        font-family: var(--title-font-family) !important;
        font-optical-sizing: auto;
        font-weight: 700;
        font-style: normal;
        max-width: 100%;
        margin-inline: 0;
        border: 0;
        margin-bottom: 0;

        @media (width > 1280px) {
            font-size: clamp(3.125rem, -1.644rem + 5.962vw, 5.063rem);
            line-height: 1;
        }
    }

    .ec-mission__description {
        max-width: 100%;
        line-height: 1.6;
    }

    .ec-mission__button a {
        font-weight: 700;
        border-radius: 8px;
        text-transform: uppercase;
        letter-spacing: 0.04em;
    }

}

#home .ec-mission__image img {
    border-radius: 95px 175px;
    border: 8px solid #FFF;
    filter: drop-shadow(4px 8px 20px rgba(0, 0, 0, 0.10)) drop-shadow(14px 34px 37px rgba(0, 0, 0, 0.09)) drop-shadow(32px 76px 49px rgba(0, 0, 0, 0.05)) drop-shadow(57px 135px 59px rgba(0, 0, 0, 0.01)) drop-shadow(88px 211px 64px rgba(0, 0, 0, 0.00));
}


/* end text section */

/* our schools */
#home .our-schools-container {
    .our-schools-v2 {
        max-width: 1564px;
        margin-inline: auto;
        background-color: transparent;

        .block {
            position: relative;
            transition: all 0.35s ease-in-out;

            &:hover {
                transform: translateY(-20px);

                &::before {
                    height: 8px;
                }
            }

            &::before {
                content: '';
                width: 70%;
                height: 19px;
                border-radius: 60px 60px 0 0;
                background: var(--secondary-color);
                margin-inline: auto;
                display: block;
                transition: height 0.35s ease-in-out;
            }
        }

        @media (width > 1280px) {
            .our-schools-wrapper {
                --gap: 4vw;
                --columns: 3;
                gap: var(--gap);

                .block {
                    margin-right: 0;
                    width: calc((100% / var(--columns)) - ((var(--columns) - 1) * var(--gap)) / var(--columns));

                }

                .title {
                    font-size: 30px;
                }
            }
        }

        .image-wrapper {
            box-sizing: border-box;
            border-radius: 75px;
            border: 5px solid #FFF;
            background: linear-gradient(180deg, rgba(0, 0, 0, 0.00) 52.88%, rgba(0, 0, 0, 0.50) 80.29%, #000 95.67%);
            box-shadow: 88px 211px 64px 0 rgba(0, 0, 0, 0.00), 57px 135px 59px 0 rgba(0, 0, 0, 0.01), 32px 76px 49px 0 rgba(0, 0, 0, 0.05), 14px 34px 37px 0 rgba(0, 0, 0, 0.09), 4px 8px 20px 0 rgba(0, 0, 0, 0.10);
            padding-top: 129%;

            img {
                border: 0;
            }
        }
    }
}

/* end our schools */

/* by the numbers v3 */
#by-the-numbers-v3 {
    --by-the-numbers-band-bg-color: var(--secondary-color-contrast);
    --by-the-numbers-band-text-color: var(--secondary-color);
}

/* end by the numbers v3 */

/* custom programs v10 */
.custom-programs-section-v10 {
    --buttonBgColor: var(--secondary-color);
    --programs-see-all-border-color: var(--secondary-color);
    --buttonTextColor: var(--secondary-color-contrast);
    --slider-arrows-bg-color: var(--primary-color);
    --slider-arrows-color: #FFF;

    .image {
        border: 5px solid #FFF;
        overflow: hidden;

        &::before {
            position: absolute;
            inset: 0;
            content: '';
            background: linear-gradient(180deg, rgba(0, 0, 0, 0.00) 53%, rgba(0, 0, 0, 0.50) 80%, #000 96%);
        }

        &::after {
            position: absolute;
            bottom: 0;
            left: 0;
            width: 100%;
            height: 5px;
            background-color: var(--secondary-color);
            content: '';
        }

        img {
            border-radius: 24px 24px 0 0;
        }
    }
}

/* end custom programs v10 */

/* live feed */
#home .live-feed-lf8 {
    .gallery-image {

        img {
            border: 5px solid #FFF;
            border-radius: 0 24px 24px 0;
        }
    }

    .gallery-overlay {
        inset: 5px;
        border-radius: 0 24px 24px 0;
    }

    .cards-slider::after {
        box-shadow: 88px 211px 64px 0 rgba(0, 0, 0, 0.00), 57px 135px 59px 0 rgba(0, 0, 0, 0.01), 32px 76px 49px 0 rgba(0, 0, 0, 0.05), 14px 34px 37px 0 rgba(0, 0, 0, 0.09), 4px 8px 20px 0 rgba(0, 0, 0, 0.10);
    }

    .see-all-button:hover {
        background-color: var(--primary-color) !important;
        color: #FFF !important;

        &:before {
            background-color: var(--primary-color) !important;
        }
    }
}

/* end live feed */

/* custom events section */
#home .custom-events-v17 {
    --buttonBgColor: var(--secondary-color);
    --buttonTextColor: var(--secondary-color-contrast);
    position: relative;
    isolation: isolate;

    @media (width > 600px) {
        .upcoming-events-image {
            height: 600px;
        }

        .see-all-container.see-all-top {
            padding-top: 270px;
        }
    }

    .upcoming-events-image-wrapper {
        position: absolute;
        inset: 0;
        box-shadow: 188px 411px 164px 0 rgba(0, 0, 0, 0.00), 157px 235px 159px 0 rgba(0, 0, 0, 0.01), 132px 176px 149px 0 rgba(0, 0, 0, 0.05), 114px 134px 137px 0 rgba(0, 0, 0, 0.09), 14px 18px 10px 0 rgba(0, 0, 0, 0.10);

        .motto-text {
            position: absolute;
            left: 0;
            width: 100%;
            box-sizing: border-box;
            padding-inline: 20px;
            text-align: center;
            top: clamp(3.125rem, -1.436rem + 7.447vw, 7.5rem);
            color: var(--section-title-color, #FFF);
            z-index: 2;
            text-shadow: 0 0 10.8px rgba(0, 0, 0, 0.85);
            -webkit-text-stroke-width: 1px;
            -webkit-text-stroke-color: var(--section-title-color, #FFF);
            font-family: "Playfair Display";
            font-size: clamp(2.5rem, -1.41rem + 6.383vw, 6.25rem);
            font-weight: 600;
            line-height: 1;
            letter-spacing: 0.04em;
        }
    }

    .see-all-button:hover {
        background-color: var(--primary-color) !important;
        color: #FFF !important;

        &:before {
            background-color: var(--primary-color) !important;
        }
    }

    & .events-section-container-v17 {
        & #events-section-v17 {

            .event-item-v17 {
                border-radius: 10px;

                .event-item-v17__date {
                    border-radius: 8px;
                }
            }
        }
    }

    @media (width > 600px) {
        .custom-swiper-controls .custom-swiper-navigation>div {
            top: 620px;
        }
    }
    @media (width <= 600px) {
        .custom-swiper-controls .custom-swiper-navigation>div {
            top: 450px;
        }
    }
}

/* end custom events section */

/* video spotlight */
#section-story-slider {
    .header-top {
        text-align: center;
    }
}

body[style*="--secondary-color-contrast:#000000"] {
    #section-story-slider .video-title {
        color: var(--secondary-color)
    }
}

/* end video spotlight */

/* Static sponsors section  */
#static-sponsors {
    padding-inline: 35px;
    padding-top: 40px;
    padding-bottom: 0;
    background-color: var(--section-bg-color, var(--primary-color));
    position: relative; 
    isolation: isolate;

    @media (width > 1280px) {
        padding-inline: 45px;
    }
    @media (width > 1400px) {
        padding-inline: 75px;
        padding-top: 65px;
    }

    
    .static-sponsors-wrapper {
        display: flex;
        flex-direction: column;
        gap: 30px;

        @media (width > 980px) {
            flex-direction: row;
            gap: 4vw;
        }
        .content-container {
            width: 100%;
            @media (width > 980px) {
                flex: 1;
                padding-top: 30px;
            }
        }
        .header-slot-container h2 {
            text-transform: none;
            color: var(--section-title-color, var(--section-text-color, #FFF));
        }
        .static-sonsors-description {
            p {
                color: var(--section-text-color, #FFF);
                line-height: 1.6;

                @media (width > 1440px) {
                    font-size: 20px;
                }
            }
        }
        .see-all-container.see-all-bottom {
            display: block;
            text-align: left;

            .see-all-button-custom a {
                background-color: var(--buttonBgColor, var(--secondary-color));
                color: var(--buttonTextColor, var(--secondary-color-contrast));
                transition: background-color 0.35s ease-in-out, color 0.35s ease-in-out;

                &:hover {
                    background-color: var(--buttonBgColorHover, #FFF);
                    color: var(--buttonTextColorHover, var(--primary-color));
                }
            }
        }
    }
    .sponsors-wrapper {
        width: 90%;
        margin-inline: auto;
        @media (width > 980px) {
                width: 660px;
                max-width: 50%;
                min-width: 390px;
                margin: auto 0 0;
            }
    }
    .sponsors-container {
        display: inline-flex;
        flex-wrap: wrap;
        background-color: var(--sponsors-background-color, #FFF);
        border-radius: 30px 30px 0 0;
        box-sizing: border-box;
        padding: 15px 20px;
        gap: 10px 25px;
        justify-content: center;

        & > div:hover {
            img {
                transform: scale(1.2);
            }
        }

        img {
            height: 70px;
            width: auto;
            max-width: 210px;
            object-fit: contain;
            transition: transform .35s ease-in-out;

            @media (width > 1400px) {
                height: 90px;
            }
        }
    }
    .sponsors-background-image { 
        img {
            position: absolute;
            z-index: -2;
            right: 0;
            top: 0;
            width: 50%;
            height: 100%;
            object-fit: cover;
            object-position: right center;
            mask: linear-gradient(90deg, color-mix(in srgb, var(--primary-color) 1%, transparent) 0%, var(--primary-color) 50%);
        }
    }

}
/* end static sponsors section */
/* -------------------------------------- */
/* ----------- START News V11 ----------- */
/* -------------------------------------- */

.custom-news-v11 {
    --left-size: 34%;
    --right-size: 52%;
    --border-radius: 10px;
    --base-font-size: 16px;
    --image-aspec-ratio: 16/9;

    @media screen and (max-width: 1699px) {
        --base-font-size: 15px;
        --left-size: 40%;
    }

    @media screen and (max-width: 1499px) {
        --base-font-size: 14px;
        --left-size: 44%;
    }


    @media screen and (max-width: 1199px) {
        --left-size: 50%;
        --right-size: 50%;
    }

    @media screen and (max-width: 767px) {
        --base-font-size: 13px;
        --left-size: 100%;
        --right-size: 100%;
    }

    background-color: var(--section-bg-color, #fff);
    color: var(--text-color, #000);

    .header-slot-container {
        margin-bottom: unset;

        @media screen and (max-width: 767px) {
            margin-bottom: .5em;
        }
    }

    .custom-news-v11-main {
        display: flex;
        flex-wrap: wrap;

        .swiper-slide {
            .news-article {
                opacity: 0;
                transition: opacity .25s linear;
            }
        }

        .swiper-slide-active {
            .news-article {
                opacity: 1;
            }
        }

        .swiper-wrapper {
            padding-bottom: var(--padding-for-shadow, 15px);

            @media screen and (max-width: 1199px) {
                padding-bottom: unset;
            }
        }
    }

    .news-article {
        display: flex;
        width: 100%;
        justify-content: space-between;
        align-items: center;

        @media screen and (max-width: 767px) {
            flex-wrap: wrap;
        }

        .news-article__left {
            display: block;
            width: var(--left-size);
            margin-top: 1em;
            border-radius: var(--border-radius);
            box-shadow: 0 12px 20px 3px rgba(0, 0, 0, 0.15);
            color: inherit;
            text-decoration: none;
            padding: 1.5em 2em;
            margin-left: 2%;
            box-sizing: border-box;

            @media screen and (max-width: 1499px) {
                padding: 1em 1.25em;
            }

            @media screen and (max-width: 1199px) {
                box-shadow: none;
                margin-left: 0;
                padding: 1em 1em 1em 0;
                margin-top: unset;
            }

            @media screen and (max-width: 767px) {
                order: 2;
                padding: 0;
                margin-top: 1em;
                margin-bottom: 1em;
            }

            .news-article__title {
                font-size: calc(var(--base-font-size) * 2);
                line-height: 1.3;

                @media screen and (max-width: 1499px) {
                    font-size: calc(var(--base-font-size) * 1.75);
                    --lines: 3;

                    display: -webkit-box;
                    -webkit-box-orient: vertical;
                    -webkit-line-clamp: var(--lines);
                    line-clamp: var(--lines);
                    overflow: hidden;
                }

                @media screen and (max-width: 1199px) {
                    font-size: calc(var(--base-font-size) * 1.5);
                }
            }

            .news-article__snippet {
                font-size: calc(var(--base-font-size) * 1.25);
                line-height: 1.5;
                margin-top: 1em;

                @media screen and (max-width: 1499px) {
                    font-size: calc(var(--base-font-size) * 1.15);
                }
            }

            .news-article__more {
                font-size: calc(var(--base-font-size) * 1.25);
                color: var(--read-more-color, #646464);
                font-weight: 700;
                text-decoration: underline;
                margin-top: 2em;

                @media screen and (max-width: 1499px) {
                    font-size: calc(var(--base-font-size) * 1.15);
                }

                @media screen and (max-width: 1199px) {
                    margin-top: 1em;
                }
            }

            &:hover {
                .news-article__more {
                    text-decoration: none;
                }
            }
        }

        .news-article__right {
            width: var(--right-size);

            @media screen and (max-width: 767px) {
                order: 1;
            }

            .news-article__image {
                .cover-image {
                    font-size: 0;
                }

                img {
                    width: 100%;
                    border-radius: var(--border-radius);
                    aspect-ratio: var(--image-aspec-ratio);
                    object-fit: cover;
                }

            }
        }
    }

    .see-all-middle {
        width: 100%;
        display: flex;
        justify-content: space-between;
        position: relative;
        z-index: 2;
        margin-top: calc(var(--padding-for-shadow, 15px) * -1);

        @media screen and (max-width: 1199px) {
            align-items: center;
            margin-top: unset;
        }

        @media screen and (max-width: 767px) {
            order: 3;
            margin-top: 1em;
            justify-content: space-between;
        }

        .see-all-middle__button {
            width: var(--left-size);

            @media screen and (max-width: 767px) {
                width: auto;
            }
        }


        .custom-swiper-navigation {
            width: var(--right-size);
            padding-left: 1%;
            column-gap: 4px;
            margin-top: -1em;

            @media screen and (max-width: 1199px) {
                margin-top: unset;
            }

            @media screen and (max-width: 767px) {
                width: auto;
            }

            .custom-swiper-next-5,
            .custom-swiper-prev-5 {
                border-radius: 4px;

                &.swiper-button-disabled {
                    opacity: 0.5;
                    cursor: default;
                }

                &:hover {
                    background-color: var(--arrow-style-5-bg-color-hover, var(--secondary-color));
                    color: var(--arrow-style-5-color-hover, var(--secondary-color-contrast));
                }

                @media (width > 1280px) {
                    width: 60px;
                    height: 60px;
                }
            }
        }
    }

    #news-thumbs {
        margin-top: 3em;

        @media screen and (max-width: 1499px) {
            margin-top: 2em;
        }

        @media screen and (max-width: 1199px) {
            margin-top: 1.5em;
        }

        @media screen and (max-width: 767px) {
            margin-top: .25em;
        }
    }

    .thumb-news-article {
        cursor: pointer;


        .thumb-news-article__image {
            border-radius: var(--border-radius);
            overflow: hidden;
            border-top: 6px solid var(--thumb-decoration-accent-color, #000);
            position: relative;

            &:after {
                content: '';
                display: block;
                width: 100%;
                height: 100%;
                position: absolute;
                top: 0;
                left: 0;
                background: linear-gradient(to top, rgba(0, 0, 0, 0.85), transparent);
                opacity: 1;
                transition: opacity 0.25s ease-in-out;
            }

            .cover-image {
                font-size: 0;
            }

            img {
                max-width: 100%;
                aspect-ratio: var(--image-aspec-ratio);
                object-fit: cover;
            }
        }

        .thumb-news-article__title {
            margin-top: 0.5em;
            margin-bottom: .5em;
            font-size: calc(var(--base-font-size) * 1.5);
            --lines: 1;
            display: -webkit-box;
            -webkit-box-orient: vertical;
            -webkit-line-clamp: var(--lines);
            line-clamp: var(--lines);
            overflow: hidden;

            @media screen and (max-width: 1499px) {
                font-size: calc(var(--base-font-size) * 1.25);
            }
        }

        .thumb-news-article__snippet {
            --lines: 2;
            font-size: var(--base-font-size);
            display: -webkit-box;
            -webkit-box-orient: vertical;
            -webkit-line-clamp: var(--lines);
            line-clamp: var(--lines);
            overflow: hidden;
            line-height: 1.4;
        }
    }

    .swiper-slide-thumb-active {
        .thumb-news-article {
            .thumb-news-article__image {
                &:after {
                    opacity: 0;
                }
            }
        }
    }
}

/* -------------------------------------- */
/* ------------ END News V11 ------------ */
/* -------------------------------------- */

#custom-news-v11 {
    --buttonBgColor: var(--secondary-color);
    --buttonTextColor: var(--secondary-color-contrast);
    --arrow-style-5-bg-color: var(--primary-color);
    --arrow-style-5-color: #fff;
}